Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.scriptvalues_mod
Class ScriptValuesScript

    java.lang.Object
      org.pentaho.di.trans.steps.scriptvalues_mod.ScriptValuesScript

    public class ScriptValuesScript

extends Object

Field Summary
`static int` | `END_SCRIPT`
`static int` | `NORMAL_SCRIPT`
`static int` | `START_SCRIPT`
`static int` | `TRANSFORM_SCRIPT`

Constructor Summary
`ScriptValuesScript(int iScriptType, String sScriptName, String sScript)`

Method Summary
`String` | `getScript()`
`String` | `getScriptName()`
`int` | `getScriptType()`
`boolean` | `isActive()`
`boolean` | `isEndScript()`
`boolean` | `isStartScript()`
`boolean` | `isTransformScript()`
`void` | `setScript(String sScript)`
`void` | `setScriptName(String sScriptName)`
`void` | `setScriptType(int iScriptType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL_SCRIPT

    public static final int NORMAL_SCRIPT

See Also:
  Constant Field Values

### TRANSFORM_SCRIPT

    public static final int TRANSFORM_SCRIPT

See Also:
  Constant Field Values

### START_SCRIPT

    public static final int START_SCRIPT

See Also:
  Constant Field Values

### END_SCRIPT

    public static final int END_SCRIPT

See Also:
  Constant Field Values

Constructor Detail

### ScriptValuesScript

    public ScriptValuesScript(int iScriptType,
                              String sScriptName,
                              String sScript)

Method Detail

### getScriptType

    public int getScriptType()

### setScriptType

    public void setScriptType(int iScriptType)

### getScript

    public String getScript()

### setScript

    public void setScript(String sScript)

### getScriptName

    public String getScriptName()

### setScriptName

    public void setScriptName(String sScriptName)

### isTransformScript

    public boolean isTransformScript()

### isStartScript

    public boolean isStartScript()

### isEndScript

    public boolean isEndScript()

### isActive

    public boolean isActive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD